| Home | Libraries | People | FAQ | More

## Class invalid_config_file_syntax

boost::program_options::invalid_config_file_syntax

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class invalid_config_file_syntax :
      public boost::program_options::invalid_syntax
    {
    public:
      // construct/copy/destruct
      invalid_config_file_syntax(const std::string &, kind_t);
      ~invalid_config_file_syntax();

      // public member functions
      virtual std::string tokens() const;
    };

## Description

### `invalid_config_file_syntax` public construct/copy/destruct

1.     invalid_config_file_syntax(const std::string & invalid_line, kind_t kind);

2.     ~invalid_config_file_syntax();

### `invalid_config_file_syntax` public member functions

1.     virtual std::string tokens() const;

   Convenience functions for backwards compatibility